import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

public class Key extends Actor
{
    private String _theKeyFromTheKeyboard;
    private String _soundFile;
    private boolean _isDown;
    
    /**
     * Create a new key.
     */
    public Key(String keyFromKeyboard, String soundFile)
    {
        _theKeyFromTheKeyboard = keyFromKeyboard;
        _soundFile = soundFile;
        _isDown = false;
    }

    /**
     * Do the action for this key.
     */
    public void act()
    {
        if(!_isDown && Greenfoot.isKeyDown(_theKeyFromTheKeyboard))
        {
            setImage("white-key-down.png");
            Greenfoot.playSound(_soundFile);
            _isDown = true;
        }
        if(_isDown && !Greenfoot.isKeyDown(_theKeyFromTheKeyboard))
        {
            setImage("white-key.png");
            _isDown = false;
        }
    }
}